# Change log

**06/07/2022**

* [API lấy giao dịch](/casso-api/api/lay-giao-dich.md) hỗ trợ thời gian kết thúc lấy giao dịch (**toDate**)
* [API lấy giao dịch](/casso-api/api/lay-giao-dich.md) thêm thông tin đối ứng ngân hàng, kênh chuyển tiền, tài khoản ảo

**01/09/2021**&#x20;

Casso chính thức công bố API v2, bao gồm một số thay đổi:&#x20;

* Ra mắt OAuth 2
* Thay đổi cơ chế Api Keys

### 1/ Cơ chế Api Keys

Api keys ở v1 sẽ tương đương với authorization code. Api key v2 sẽ tương đương một access token (lifetime access token).

Với nâng cấp ở version 2 này,  Developer sẽ không cần phải gọi api /v1/token để đổi api key thành access token mà sử dụng access token này để authorize các api truy cập vào Casso  luôn.

Ở API v1, để gọi api /userInfo, bước 1 là bạn phải gọi api /token để đổi access token, sau đó dùng access token này gắn vào header để gọi api /userInfo

#### Ví dụ:&#x20;

```bash
curl --location --request GET 'https://oauth.casso.vn/v1/userInfo \
--header 'Authorization: <"Access token">'
```

Thì ở API /v2 , API key bạn đã tạo ra ở giao diện tích hợp của Casso sẽ được dùng trực tiếp để authen api luôn như ví dụ bên dưới.

#### Ví dụ:&#x20;

```bash
curl --location --request GET 'https://oauth.casso.vn/v2/userInfo \
--header 'Authorization: Apikey <"api_key_here">'
```

### 2/ Cơ chế OAuth 2.0&#x20;

Nếu như bạn nhận **`Access token`** từ việc xác thực ở OAuth 2.0 của Casso thì bạn có thể dùng **`Access token`** này gắn vào Authorization trên header để gọi với các API Resource của Casso tương ứng với [Version 2](/casso-api/api/lay-thong-tin-user.md), kèm theo tiền tố là **`Bearer`**.

#### Ví dụ:&#x20;

```bash
curl --location --request GET 'https://oauth.casso.vn/v2/userInfo \
--header 'Authorization: Bearer <"Access token nhận được từ OAuth 2.0 của Casso">'
```

**05/03/2024**

Casso ngừng hỗ trợ đối tác và khách hàng cơ chế OAuth 2


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.casso.vn/tai-nguyen-khac/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
